# Uses of Class
org.italiangrid.voms.request.VOMSWarningMessage

Packages that use VOMSWarningMessage
Package
Description
org.italiangrid.voms.request
This package provides the API for requesting VOMS attribtues from a remote VOMS server.
org.italiangrid.voms.request.impl
This package provides the implementation logic for VOMS attributes requests.
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of VOMSWarningMessage in org.italiangrid.voms.request

Methods in org.italiangrid.voms.request that return VOMSWarningMessage
Modifier and Type
Method
Description
`VOMSWarningMessage[]`
VOMSResponse.`warningMessages()`
Extracts the warning messags from the VOMS response.
Methods in org.italiangrid.voms.request with parameters of type VOMSWarningMessage
Modifier and Type
Method
Description
`void`
VOMSRequestListener.`notifyWarningsInVOMSResponse(VOMSACRequest request, VOMSServerInfo si, VOMSWarningMessage[] warnings)`
Informs that warnings were included in the VOMS response produced by a VOMS server

## Uses of VOMSWarningMessage in org.italiangrid.voms.request.impl

Methods in org.italiangrid.voms.request.impl that return VOMSWarningMessage
Modifier and Type
Method
Description
`VOMSWarningMessage[]`
LegacyVOMSResponse.`warningMessages()`
`VOMSWarningMessage[]`
RESTVOMSResponse.`warningMessages()`
Retrieves warning messages from the response.

## Uses of VOMSWarningMessage in org.italiangrid.voms.util

Methods in org.italiangrid.voms.util with parameters of type VOMSWarningMessage
Modifier and Type
Method
Description
`void`
NullListener.`notifyWarningsInVOMSResponse(VOMSACRequest request, VOMSServerInfo si, VOMSWarningMessage[] warnings)`